#端口
server.port=8081

spring.datasource.url=jdbc:mysql://106.75.97.50:3306/test?characterEncoding=UTF-8
spring.datasource.username=airuser
spring.datasource.password=!@JD@2016
spring.datasource.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
spring.datasource.driverClassName=com.mysql.cj.jdbc.Driver
##Druid##
#spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
#连接池启动时创建的连接数量的初始值
spring.datasource.initialSize=5
#最小空闲值.当空闲的连接数少于阀值时，连接池就会预申请去一些连接，以免洪峰来时来不及申请
spring.datasource.minIdle=5
#连接池的最大值，同一时间可以从池分配的最多连接数量，0时无限制
spring.datasource.maxActive=100
#最大建立连接等待时间。单位为 ms，如果超过此时间将接到异常。设为-1表示无限制
spring.datasource.maxWait=60000
#1) Destroy线程会检测连接的间隔时间2) testWhileIdle的判断依据，详细看testWhileIdle属性的说明
spring.datasource.timeBetweenEvictionRunsMillis=60000
#配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.minEvictableIdleTimeMillis=300000
#用来检测连接是否有效的sql，要求是一个查询语句
spring.datasource.validationQuery=SELECT 1
#建议配置为true，不影响性能，并且保证安全性。申请连接的时候检测，如果空闲时间大于timeBetweenEvictionRunsMillis，执行validationQuery检测连接是否有效
spring.datasource.testWhileIdle=true
#申请连接时执行validationQuery检测连接是否有效，配置true会降低性能
spring.datasource.testOnBorrow=false
#归还连接时执行validationQuery检测连接是否有效，配置true会降低性能
spring.datasource.testOnReturn=false
#是否缓存preparedStatement，也就是PSCache。PSCache对支持游标的数据库性能提升巨大，比如说oracle。在mysql5.5以下的版本中没有PSCache功能，建议关闭掉。
spring.datasource.poolPreparedStatements=true
#指定每个连接上PSCache的大小
spring.datasource.maxPoolPreparedStatementPerConnectionSize=20
#属性类型是字符串，通过别名的方式配置扩展插件，
#常用的插件有：监控统计用的filter:stat日志用的filter:log4j防御sql注入的filter:wall
spring.datasource.filters=stat,wall,log4j
spring.datasource.useGlobalDataSourceStat=true
###############################
# Specify the DBMS
spring.jpa.database=MYSQL
# Hibernate ddl auto (create, create-drop, update)
# spring.jpa.hibernate.ddl-auto=update
# Naming strategy
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
# stripped before adding them to the entity manager)
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect

spring.resources.add-mappings=true

springfox.documentation.swagger.v2.path: /api-docs



